#include <stdio.h>
#include <stdlib.h>

int main()
{
    int i,j,n,x,y,k,osszeg=0;
    int m[100][100];
    scanf("%d", &n);
    for(i=0;i<n-1;i++)
    {
            scanf("%d %d",&x,&y);

    }
    for(i=0;i<n-1;i++)
    {
       osszeg = osszeg+x+y;

    }
    printf("%d",osszeg/12);

    return 0;
}